If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Random mass asan e10s-mochitest failures for specific builds

RESOLVED DUPLICATE of bug 1355834

Status

()

Core
Build Config
--
major
RESOLVED DUPLICATE of bug 1355834
5 months ago
5 months ago

People

(Reporter: aryx, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [stockwell fixed])

This week, we have spotted random Linux asan mass failures of mochitests (bc and dt) with e10s enabled, e.g.

https://treeherder.mozilla.org/#/jobs?repo=autoland&revision=a855fd0898abc6d36d96207ec795fecacb9fe6e5&filter-searchStr=asan%20moch%20chrom%20s&selectedJob=92690633

https://treeherder.mozilla.org/#/jobs?repo=autoland&revision=3568513947d2a5a675ee8071d8d9f591f4d4db1c&filter-resultStatus=testfailed&filter-resultStatus=busted&filter-resultStatus=exception&filter-resultStatus=retry&filter-resultStatus=usercancel&filter-resultStatus=runnable&filter-resultStatus=success&filter-searchStr=asan+linux

Failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=93439525&repo=autoland

[task 2017-04-21T21:59:40.249023Z] 21:59:40     INFO - TEST-OK | browser/components/places/tests/browser/browser_views_liveupdate.js | took 5809ms
[task 2017-04-21T21:59:40.432506Z] 21:59:40     INFO - checking window state
[task 2017-04-21T21:59:45.952740Z] 21:59:45     INFO - GECKO(1558) | Completed ShutdownLeaks collections in process 1685
[task 2017-04-21T21:59:46.054191Z] 21:59:46     INFO - GECKO(1558) | Completed ShutdownLeaks collections in process 1668
[task 2017-04-21T21:59:46.183256Z] 21:59:46     INFO - GECKO(1558) | Completed ShutdownLeaks collections in process 1609
[task 2017-04-21T21:59:47.592603Z] 21:59:47     INFO - GECKO(1558) | Completed ShutdownLeaks collections in process 1644
[task 2017-04-21T21:59:48.360582Z] 21:59:48     INFO - GECKO(1558) | Completed ShutdownLeaks collections in process 1558
[task 2017-04-21T21:59:48.361000Z] 21:59:48     INFO - TEST-START | Shutdown
[task 2017-04-21T21:59:48.361240Z] 21:59:48     INFO - Browser Chrome Test Summary
[task 2017-04-21T21:59:48.371270Z] 21:59:48     INFO - Passed:  1060
[task 2017-04-21T21:59:48.371508Z] 21:59:48     INFO - Failed:  0
[task 2017-04-21T21:59:48.371735Z] 21:59:48     INFO - Todo:    0
[task 2017-04-21T21:59:48.371933Z] 21:59:48     INFO - Mode:    e10s
[task 2017-04-21T21:59:48.372154Z] 21:59:48     INFO - *** End BrowserChrome Test Results ***
[task 2017-04-21T21:59:49.669327Z] 21:59:49     INFO - GECKO(1558) | ###!!! [Child][MessageChannel] Error: (msgtype=0x4800AE,name=PContent::Msg_ConsoleMessage) Channel closing: too late to send/recv, messages will be lost
[task 2017-04-21T21:59:49.770761Z] 21:59:49     INFO - GECKO(1558) | ###!!! [Child][MessageChannel] Error: (msgtype=0x4800AE,name=PContent::Msg_ConsoleMessage) Channel closing: too late to send/recv, messages will be lost
[task 2017-04-21T21:59:49.876508Z] 21:59:49     INFO - GECKO(1558) | ###!!! [Child][MessageChannel] Error: (msgtype=0x4800AE,name=PContent::Msg_ConsoleMessage) Channel closing: too late to send/recv, messages will be lost
[task 2017-04-21T21:59:50.038373Z] 21:59:50     INFO - GECKO(1558) | ###!!! [Child][MessageChannel] Error: (msgtype=0x4800AE,name=PContent::Msg_ConsoleMessage) Channel closing: too late to send/recv, messages will be lost
[task 2017-04-21T21:59:53.317345Z] 21:59:53     INFO - GECKO(1558) | 1492811993313	Marionette	INFO	Ceased listening
[task 2017-04-21T22:00:06.432791Z] 22:00:05     INFO - GECKO(1558) | ==1685==WARNING: Can't read from symbolizer at fd 3
[task 2017-04-21T22:00:09.755564Z] 22:00:09     INFO - GECKO(1558) | LLVMSymbolizer: error reading file: Cannot allocate memory
[task 2017-04-21T22:00:10.480959Z] 22:00:10     INFO - GECKO(1558) | =================================================================
[task 2017-04-21T22:00:10.484360Z] 22:00:10     INFO - GECKO(1558) | ==1685==ERROR: LeakSanitizer: detected memory leaks
[task 2017-04-21T22:00:10.486651Z] 22:00:10     INFO - GECKO(1558) | Direct leak of 18400 byte(s) in 575 object(s) allocated from:
[task 2017-04-21T22:00:10.488521Z] 22:00:10     INFO - GECKO(1558) |     #0 0x4bb79c in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-04-21T22:00:10.493550Z] 22:00:10     INFO - GECKO(1558) |     #1 0x4ec75d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-04-21T22:00:10.495716Z] 22:00:10     INFO - GECKO(1558) |     #2 0x7f180e847487  (/home/worker/workspace/build/application/firefox/libxul.so+0x2079487)
[task 2017-04-21T22:00:10.497924Z] 22:00:10     INFO - GECKO(1558) |     #3 0x7f180e8467bc  (/home/worker/workspace/build/application/firefox/libxul.so+0x20787bc)
[task 2017-04-21T22:00:10.501661Z] 22:00:10     INFO - GECKO(1558) |     #4 0x7f180e844c63  (/home/worker/workspace/build/application/firefox/libxul.so+0x2076c63)
[task 2017-04-21T22:00:10.503975Z] 22:00:10     INFO - GECKO(1558) | Direct leak of 4192 byte(s) in 131 object(s) allocated from:
[task 2017-04-21T22:00:10.508652Z] 22:00:10     INFO - GECKO(1558) |     #0 0x4bb79c in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-04-21T22:00:10.511187Z] 22:00:10     INFO - GECKO(1558) |     #1 0x4ec75d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-04-21T22:00:10.514766Z] 22:00:10     INFO - GECKO(1558) |     #2 0x7f180e848d2c  (/home/worker/workspace/build/application/firefox/libxul.so+0x207ad2c)
[task 2017-04-21T22:00:10.517621Z] 22:00:10     INFO - GECKO(1558) |     #3 0x7f180e83926b  (/home/worker/workspace/build/application/firefox/libxul.so+0x206b26b)
[task 2017-04-21T22:00:10.529729Z] 22:00:10     INFO - GECKO(1558) |     #4 0x7f180e847f14  (/home/worker/workspace/build/application/firefox/libxul.so+0x2079f14)
[task 2017-04-21T22:00:10.534424Z] 22:00:10     INFO - GECKO(1558) | Direct leak of 1856 byte(s) in 58 object(s) allocated from:
[task 2017-04-21T22:00:10.537438Z] 22:00:10     INFO - GECKO(1558) |     #0 0x4bb79c in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-04-21T22:00:10.539441Z] 22:00:10     INFO - GECKO(1558) |     #1 0x4ec75d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-04-21T22:00:10.544948Z] 22:00:10     INFO - GECKO(1558) |     #2 0x7f180e847487  (/home/worker/workspace/build/application/firefox/libxul.so+0x2079487)
[task 2017-04-21T22:00:10.547253Z] 22:00:10     INFO - GECKO(1558) |     #3 0x7f180e8467bc  (/home/worker/workspace/build/application/firefox/libxul.so+0x20787bc)
[task 2017-04-21T22:00:10.549492Z] 22:00:10     INFO - GECKO(1558) |     #4 0x7f180e844bb7  (/home/worker/workspace/build/application/firefox/libxul.so+0x2076bb7)
[task 2017-04-21T22:00:10.554284Z] 22:00:10     INFO - GECKO(1558) | Direct leak of 288 byte(s) in 2 object(s) allocated from:
[task 2017-04-21T22:00:10.556337Z] 22:00:10     INFO - GECKO(1558) |     #0 0x4bb79c in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-04-21T22:00:10.561299Z] 22:00:10     INFO - GECKO(1558) |     #1 0x4ec75d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-04-21T22:00:10.563265Z] 22:00:10     INFO - GECKO(1558) |     #2 0x7f180fe86472  (/home/worker/workspace/build/application/firefox/libxul.so+0x36b8472)
[task 2017-04-21T22:00:10.565156Z] 22:00:10     INFO - GECKO(1558) |     #3 0x7f180e84b377  (/home/worker/workspace/build/application/firefox/libxul.so+0x207d377)
[task 2017-04-21T22:00:10.568315Z] 22:00:10     INFO - GECKO(1558) |     #4 0x7f180e84c8bd  (/home/worker/workspace/build/application/firefox/libxul.so+0x207e8bd)
[task 2017-04-21T22:00:10.570188Z] 22:00:10     INFO - GECKO(1558) | Direct leak of 224 byte(s) in 7 object(s) allocated from:
[task 2017-04-21T22:00:10.579074Z] 22:00:10     INFO - GECKO(1558) |     #0 0x4bb79c in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-04-21T22:00:10.582196Z] 22:00:10     INFO - GECKO(1558) |     #1 0x4ec75d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-04-21T22:00:10.586327Z] 22:00:10     INFO - GECKO(1558) |     #2 0x7f180e84da67  (/home/worker/workspace/build/application/firefox/libxul.so+0x207fa67)
[task 2017-04-21T22:00:10.588503Z] 22:00:10     INFO - GECKO(1558) |     #3 0x7f180e8aa541  (/home/worker/workspace/build/application/firefox/libxul.so+0x20dc541)
[task 2017-04-21T22:00:10.590407Z] 22:00:10     INFO - GECKO(1558) |     #4 0x7f180ff8451e  (/home/worker/workspace/build/application/firefox/libxul.so+0x37b651e)
[task 2017-04-21T22:00:10.592293Z] 22:00:10     INFO - GECKO(1558) | Indirect leak of 280 byte(s) in 7 object(s) allocated from:
[task 2017-04-21T22:00:10.594287Z] 22:00:10     INFO - GECKO(1558) |     #0 0x4bb79c in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-04-21T22:00:10.596277Z] 22:00:10     INFO - GECKO(1558) |     #1 0x4ec75d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-04-21T22:00:10.598142Z] 22:00:10     INFO - GECKO(1558) |     #2 0x7f180e84db06  (/home/worker/workspace/build/application/firefox/libxul.so+0x207fb06)
[task 2017-04-21T22:00:10.599999Z] 22:00:10     INFO - GECKO(1558) |     #3 0x7f180e8aa541  (/home/worker/workspace/build/application/firefox/libxul.so+0x20dc541)
[task 2017-04-21T22:00:10.601934Z] 22:00:10     INFO - GECKO(1558) |     #4 0x7f180ff8451e  (/home/worker/workspace/build/application/firefox/libxul.so+0x37b651e)
[task 2017-04-21T22:00:10.604719Z] 22:00:10     INFO - GECKO(1558) | Indirect leak of 112 byte(s) in 7 object(s) allocated from:
[task 2017-04-21T22:00:10.606720Z] 22:00:10     INFO - GECKO(1558) |     #0 0x4bb79c in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-04-21T22:00:10.609837Z] 22:00:10     INFO - GECKO(1558) |     #1 0x4ec75d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-04-21T22:00:10.611781Z] 22:00:10     INFO - GECKO(1558) |     #2 0x7f180e84db23  (/home/worker/workspace/build/application/firefox/libxul.so+0x207fb23)
[task 2017-04-21T22:00:10.613991Z] 22:00:10     INFO - GECKO(1558) |     #3 0x7f180e8aa541  (/home/worker/workspace/build/application/firefox/libxul.so+0x20dc541)
[task 2017-04-21T22:00:10.621299Z] 22:00:10     INFO - GECKO(1558) |     #4 0x7f180ff8451e  (/home/worker/workspace/build/application/firefox/libxul.so+0x37b651e)
[task 2017-04-21T22:00:10.623206Z] 22:00:10     INFO - GECKO(1558) | -----------------------------------------------------
[task 2017-04-21T22:00:10.625344Z] 22:00:10     INFO - GECKO(1558) | Suppressions used:
[task 2017-04-21T22:00:10.629574Z] 22:00:10     INFO - GECKO(1558) |   count      bytes template
[task 2017-04-21T22:00:10.631492Z] 22:00:10     INFO - GECKO(1558) |     360      15936 libfontconfig.so
[task 2017-04-21T22:00:10.633349Z] 22:00:10     INFO - GECKO(1558) |       1         72 nss_ClearErrorStack
[task 2017-04-21T22:00:10.635173Z] 22:00:10     INFO - GECKO(1558) |      26       6492 libglib-2.0.so
[task 2017-04-21T22:00:10.636975Z] 22:00:10     INFO - GECKO(1558) | -----------------------------------------------------
[task 2017-04-21T22:00:10.638881Z] 22:00:10     INFO - GECKO(1558) | SUMMARY: AddressSanitizer: 25352 byte(s) leaked in 787 allocation(s).
[task 2017-04-21T22:00:17.207376Z] 22:00:17     INFO - GECKO(1558) | ==1668==WARNING: Can't read from symbolizer at fd 3
[task 2017-04-21T22:00:18.707447Z] 22:00:18     INFO - GECKO(1558) | LLVMSymbolizer: error reading file: Cannot allocate memory
[task 2017-04-21T22:00:19.029057Z] 22:00:19     INFO - GECKO(1558) | =================================================================
[task 2017-04-21T22:00:19.031331Z] 22:00:19     INFO - GECKO(1558) | ==1668==ERROR: LeakSanitizer: detected memory leaks
[task 2017-04-21T22:00:19.031684Z] 22:00:19     INFO - GECKO(1558) | Direct leak of 18400 byte(s) in 575 object(s) allocated from:
[task 2017-04-21T22:00:19.032409Z] 22:00:19     INFO - GECKO(1558) |     #0 0x4bb79c in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-04-21T22:00:19.034599Z] 22:00:19     INFO - GECKO(1558) |     #1 0x4ec75d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-04-21T22:00:19.037805Z] 22:00:19     INFO - GECKO(1558) |     #2 0x7f50f8347487  (/home/worker/workspace/build/application/firefox/libxul.so+0x2079487)
[task 2017-04-21T22:00:19.040524Z] 22:00:19     INFO - GECKO(1558) |     #3 0x7f50f83467bc  (/home/worker/workspace/build/application/firefox/libxul.so+0x20787bc)
[task 2017-04-21T22:00:19.044645Z] 22:00:19     INFO - GECKO(1558) |     #4 0x7f50f8344c63  (/home/worker/workspace/build/application/firefox/libxul.so+0x2076c63)
[task 2017-04-21T22:00:19.049704Z] 22:00:19     INFO - GECKO(1558) | Direct leak of 4192 byte(s) in 131 object(s) allocated from:
[task 2017-04-21T22:00:19.052077Z] 22:00:19     INFO - GECKO(1558) |     #0 0x4bb79c in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-04-21T22:00:19.055173Z] 22:00:19     INFO - GECKO(1558) |     #1 0x4ec75d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-04-21T22:00:19.061185Z] 22:00:19     INFO - GECKO(1558) |     #2 0x7f50f8348d2c  (/home/worker/workspace/build/application/firefox/libxul.so+0x207ad2c)
[task 2017-04-21T22:00:19.066332Z] 22:00:19     INFO - GECKO(1558) |     #3 0x7f50f833926b  (/home/worker/workspace/build/application/firefox/libxul.so+0x206b26b)
[task 2017-04-21T22:00:19.068702Z] 22:00:19     INFO - GECKO(1558) |     #4 0x7f50f8347f14  (/home/worker/workspace/build/application/firefox/libxul.so+0x2079f14)
[task 2017-04-21T22:00:19.074771Z] 22:00:19     INFO - GECKO(1558) | Direct leak of 1856 byte(s) in 58 object(s) allocated from:
[task 2017-04-21T22:00:19.085484Z] 22:00:19     INFO - GECKO(1558) |     #0 0x4bb79c in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-04-21T22:00:19.089890Z] 22:00:19     INFO - GECKO(1558) |     #1 0x4ec75d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-04-21T22:00:19.097776Z] 22:00:19     INFO - GECKO(1558) |     #2 0x7f50f8347487  (/home/worker/workspace/build/application/firefox/libxul.so+0x2079487)
[task 2017-04-21T22:00:19.100114Z] 22:00:19     INFO - GECKO(1558) |     #3 0x7f50f83467bc  (/home/worker/workspace/build/application/firefox/libxul.so+0x20787bc)
[task 2017-04-21T22:00:19.105214Z] 22:00:19     INFO - GECKO(1558) |     #4 0x7f50f8344bb7  (/home/worker/workspace/build/application/firefox/libxul.so+0x2076bb7)
[task 2017-04-21T22:00:19.108541Z] 22:00:19     INFO - GECKO(1558) | Direct leak of 288 byte(s) in 2 object(s) allocated from:
[task 2017-04-21T22:00:19.112617Z] 22:00:19     INFO - GECKO(1558) |     #0 0x4bb79c in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-04-21T22:00:19.116462Z] 22:00:19     INFO - GECKO(1558) |     #1 0x4ec75d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-04-21T22:00:19.118679Z] 22:00:19     INFO - GECKO(1558) |     #2 0x7f50f9986472  (/home/worker/workspace/build/application/firefox/libxul.so+0x36b8472)
[task 2017-04-21T22:00:19.127747Z] 22:00:19     INFO - GECKO(1558) |     #3 0x7f50f834b377  (/home/worker/workspace/build/application/firefox/libxul.so+0x207d377)
[task 2017-04-21T22:00:19.130132Z] 22:00:19     INFO - GECKO(1558) |     #4 0x7f50f834c8bd  (/home/worker/workspace/build/application/firefox/libxul.so+0x207e8bd)
[task 2017-04-21T22:00:19.132371Z] 22:00:19     INFO - GECKO(1558) | Direct leak of 224 byte(s) in 7 object(s) allocated from:
[task 2017-04-21T22:00:19.141631Z] 22:00:19     INFO - GECKO(1558) |     #0 0x4bb79c in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-04-21T22:00:19.145426Z] 22:00:19     INFO - GECKO(1558) |     #1 0x4ec75d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-04-21T22:00:19.147959Z] 22:00:19     INFO - GECKO(1558) |     #2 0x7f50f834da67  (/home/worker/workspace/build/application/firefox/libxul.so+0x207fa67)
[task 2017-04-21T22:00:19.149977Z] 22:00:19     INFO - GECKO(1558) |     #3 0x7f50f83aa541  (/home/worker/workspace/build/application/firefox/libxul.so+0x20dc541)
[task 2017-04-21T22:00:19.157180Z] 22:00:19     INFO - GECKO(1558) |     #4 0x7f50f9a8451e  (/home/worker/workspace/build/application/firefox/libxul.so+0x37b651e)
[task 2017-04-21T22:00:19.159214Z] 22:00:19     INFO - GECKO(1558) | Indirect leak of 280 byte(s) in 7 object(s) allocated from:
[task 2017-04-21T22:00:19.161294Z] 22:00:19     INFO - GECKO(1558) |     #0 0x4bb79c in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-04-21T22:00:19.164457Z] 22:00:19     INFO - GECKO(1558) |     #1 0x4ec75d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-04-21T22:00:19.175555Z] 22:00:19     INFO - GECKO(1558) |     #2 0x7f50f834db06  (/home/worker/workspace/build/application/firefox/libxul.so+0x207fb06)
[task 2017-04-21T22:00:19.178436Z] 22:00:19     INFO - GECKO(1558) |     #3 0x7f50f83aa541  (/home/worker/workspace/build/application/firefox/libxul.so+0x20dc541)
[task 2017-04-21T22:00:19.180592Z] 22:00:19     INFO - GECKO(1558) |     #4 0x7f50f9a8451e  (/home/worker/workspace/build/application/firefox/libxul.so+0x37b651e)
[task 2017-04-21T22:00:19.182664Z] 22:00:19     INFO - GECKO(1558) | Indirect leak of 112 byte(s) in 7 object(s) allocated from:
[task 2017-04-21T22:00:19.185570Z] 22:00:19     INFO - GECKO(1558) |     #0 0x4bb79c in malloc /builds/slave/moz-toolchain/src/llvm/projects/compiler-rt/lib/asan/asan_malloc_linux.cc:64:3
[task 2017-04-21T22:00:19.187789Z] 22:00:19     INFO - GECKO(1558) |     #1 0x4ec75d in moz_xmalloc /home/worker/workspace/build/src/memory/mozalloc/mozalloc.cpp:83:17
[task 2017-04-21T22:00:19.190910Z] 22:00:19     INFO - GECKO(1558) |     #2 0x7f50f834db23  (/home/worker/workspace/build/application/firefox/libxul.so+0x207fb23)
[task 2017-04-21T22:00:19.193558Z] 22:00:19     INFO - GECKO(1558) |     #3 0x7f50f83aa541  (/home/worker/workspace/build/application/firefox/libxul.so+0x20dc541)
[task 2017-04-21T22:00:19.197366Z] 22:00:19     INFO - GECKO(1558) |     #4 0x7f50f9a8451e  (/home/worker/workspace/build/application/firefox/libxul.so+0x37b651e)
[task 2017-04-21T22:00:19.200299Z] 22:00:19     INFO - GECKO(1558) | -----------------------------------------------------
[task 2017-04-21T22:00:19.202572Z] 22:00:19     INFO - GECKO(1558) | Suppressions used:
[task 2017-04-21T22:00:19.208261Z] 22:00:19     INFO - GECKO(1558) |   count      bytes template
[task 2017-04-21T22:00:19.212538Z] 22:00:19     INFO - GECKO(1558) |     360      15936 libfontconfig.so
[task 2017-04-21T22:00:19.214882Z] 22:00:19     INFO - GECKO(1558) |       1         72 nss_ClearErrorStack
[task 2017-04-21T22:00:19.217506Z] 22:00:19     INFO - GECKO(1558) |      26       6492 libglib-2.0.so
[task 2017-04-21T22:00:19.224462Z] 22:00:19     INFO - GECKO(1558) | -----------------------------------------------------
[task 2017-04-21T22:00:19.227961Z] 22:00:19     INFO - GECKO(1558) | SUMMARY: AddressSanitizer: 25352 byte(s) leaked in 787 allocation(s).
[task 2017-04-21T22:00:20.587672Z] 22:00:20     INFO - GECKO(1558) | -----------------------------------------------------
[task 2017-04-21T22:00:20.589886Z] 22:00:20     INFO - GECKO(1558) | Suppressions used:
[task 2017-04-21T22:00:20.591144Z] 22:00:20     INFO - GECKO(1558) |   count      bytes template
[task 2017-04-21T22:00:20.593212Z] 22:00:20     INFO - GECKO(1558) |     785      25064 nsComponentManagerImpl
[task 2017-04-21T22:00:20.596362Z] 22:00:20     INFO - GECKO(1558) |       3        432 mozJSComponentLoader::LoadModule
[task 2017-04-21T22:00:20.598473Z] 22:00:20     INFO - GECKO(1558) |     360      15936 libfontconfig.so
[task 2017-04-21T22:00:20.600045Z] 22:00:20     INFO - GECKO(1558) |       1         72 nss_ClearErrorStack
[task 2017-04-21T22:00:20.601962Z] 22:00:20     INFO - GECKO(1558) |      26       6492 libglib-2.0.so
[task 2017-04-21T22:00:20.604205Z] 22:00:20     INFO - GECKO(1558) | -----------------------------------------------------
[task 2017-04-21T22:00:20.622859Z] 22:00:20     INFO - GECKO(1558) | -----------------------------------------------------
[task 2017-04-21T22:00:20.623247Z] 22:00:20     INFO - GECKO(1558) | Suppressions used:
[task 2017-04-21T22:00:20.623565Z] 22:00:20     INFO - GECKO(1558) |   count      bytes template
[task 2017-04-21T22:00:20.623820Z] 22:00:20     INFO - GECKO(1558) |     785      25064 nsComponentManagerImpl
[task 2017-04-21T22:00:20.628036Z] 22:00:20     INFO - GECKO(1558) |       2        288 mozJSComponentLoader::LoadModule
[task 2017-04-21T22:00:20.630042Z] 22:00:20     INFO - GECKO(1558) |     360      15936 libfontconfig.so
[task 2017-04-21T22:00:20.631943Z] 22:00:20     INFO - GECKO(1558) |       1         72 nss_ClearErrorStack
[task 2017-04-21T22:00:20.633907Z] 22:00:20     INFO - GECKO(1558) |      26       6492 libglib-2.0.so
[task 2017-04-21T22:00:20.636146Z] 22:00:20     INFO - GECKO(1558) | -----------------------------------------------------
[task 2017-04-21T22:00:41.876359Z] 22:00:41     INFO - GECKO(1558) | -----------------------------------------------------
[task 2017-04-21T22:00:41.879771Z] 22:00:41     INFO - GECKO(1558) | Suppressions used:
[task 2017-04-21T22:00:41.880218Z] 22:00:41     INFO - GECKO(1558) |   count      bytes template
[task 2017-04-21T22:00:41.880456Z] 22:00:41     INFO - GECKO(1558) |      40        986 libc.so
[task 2017-04-21T22:00:41.880782Z] 22:00:41     INFO - GECKO(1558) |     803      25608 nsComponentManagerImpl
[task 2017-04-21T22:00:41.881093Z] 22:00:41     INFO - GECKO(1558) |      55       7920 mozJSComponentLoader::LoadModule
[task 2017-04-21T22:00:41.882440Z] 22:00:41     INFO - GECKO(1558) |       1        384 pixman_implementation_lookup_composite
[task 2017-04-21T22:00:41.882810Z] 22:00:41     INFO - GECKO(1558) |     360      15936 libfontconfig.so
[task 2017-04-21T22:00:41.883089Z] 22:00:41     INFO - GECKO(1558) |       1         32 libdl.so
[task 2017-04-21T22:00:41.883327Z] 22:00:41     INFO - GECKO(1558) |      26       6492 libglib-2.0.so
[task 2017-04-21T22:00:41.883603Z] 22:00:41     INFO - GECKO(1558) |       1         40 libpulsecommon-1.1.so
[task 2017-04-21T22:00:41.884923Z] 22:00:41     INFO - GECKO(1558) | -----------------------------------------------------
[task 2017-04-21T22:00:42.476967Z] 22:00:42     INFO - TEST-INFO | Main app process: exit 0
[task 2017-04-21T22:00:42.480449Z] 22:00:42     INFO - TEST-INFO | LeakSanitizer | To show the addresses of leaked objects add report_objects=1 to LSAN_OPTIONS
[task 2017-04-21T22:00:42.482065Z] 22:00:42     INFO - TEST-INFO | LeakSanitizer | This can be done in testing/mozbase/mozrunner/mozrunner/utils.py
[task 2017-04-21T22:00:42.482437Z] 22:00:42    ERROR - TEST-UNEXPECTED-FAIL | LeakSanitizer | leak at unknown stack

Comment 1

5 months ago
25 failures in 162 pushes (0.154 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* autoland: 25

Platform breakdown:
* linux64: 25

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1358650&startday=2017-04-21&endday=2017-04-21&tree=all
Whiteboard: [stockwell needswork]

Comment 2

5 months ago
33 failures in 817 pushes (0.04 failures/push) were associated with this bug in the last 7 days. 

This is the #28 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 25
* mozilla-inbound: 8

Platform breakdown:
* linux64: 33

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1358650&startday=2017-04-17&endday=2017-04-23&tree=all
i guess this more or less a dupe of bug 1355834

Comment 4

5 months ago
22 failures in 183 pushes (0.12 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* autoland: 22

Platform breakdown:
* linux64: 22

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1358650&startday=2017-04-25&endday=2017-04-25&tree=all
why is this almost exclusively on autoland?
Status: NEW → RESOLVED
Last Resolved: 5 months ago
Resolution: --- → DUPLICATE
Duplicate of bug: 1355834
Whiteboard: [stockwell needswork] → [stockwell fixed]

Comment 7

5 months ago
22 failures in 883 pushes (0.025 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 22

Platform breakdown:
* linux64: 22

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1358650&startday=2017-04-24&endday=2017-04-30&tree=all
You need to log in before you can comment on or make changes to this bug.